/**
* 文件：MateriaBomVersionForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.materia.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaBomVersionEntity;
import com.mortals.xhx.module.materia.model.MateriaBomVersionQuery;

/**
 * <p>Title: 产品发布表</p>
 * <p>Description: MateriaBomVersionForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomVersionForm extends BaseCRUDFormLong<MateriaBomVersionEntity> {
	private MateriaBomVersionEntity materiaVersion = new MateriaBomVersionEntity();
	private MateriaBomVersionQuery query = new MateriaBomVersionQuery(); 
	public MateriaBomVersionForm(){
		
	}
	
    @Override
	public MateriaBomVersionEntity getEntity() {
		return materiaVersion;
	}
	public MateriaBomVersionEntity getMateriaBomVersion() {
		return materiaVersion;
	}

	public void setMateriaBomVersion(MateriaBomVersionEntity materiaVersion) {
		this.materiaVersion = materiaVersion;
	}
	
	@Override
	public MateriaBomVersionQuery getQuery() {
		return query;
	}

	public void setQuery(MateriaBomVersionQuery query) {
		this.query = query;
	}
}